#ifndef JPEGDECODER_H
#define JPEGDECODER_H

#include <QObject>
#include <QByteArray>
#include <QRunnable>
#include <QPoint>
#include <QSize>
#include <QImage>
#include <QDebug>

/*!
 * \brief Loads JPEG files on a separate thread
 */
class JpegDecoder : public QObject, public QRunnable
{
    Q_OBJECT
public:
    JpegDecoder(const QByteArray &jpeg, const int x, const int y, const int w, const int h, QObject *parent = 0);
    void run();
signals:
    void finished(const QImage &image, const int x, const int y, const int w, const int h);
private:
    QByteArray m_jpeg;
    QImage m_image;
    int m_x;
    int m_y;
    int m_w;
    int m_h;
};

#endif // JPEGDECODER_H
