import QtQuick 2.6
import QtQuick.Controls 2.0
import thinclient 1.3

ApplicationWindow {
    visible: true
    width: vnc.width;
    height: tab.height + vnc.height

    header: TabBar {
        id: tab
        width: parent.width
        TabButton {
            text: qsTr("Open connection")
            onClicked: vnc.open()
        }
        TabButton {
            text: qsTr("Terminate connection")
            onClicked: vnc.terminate()
        }
        TabButton {
            text: qsTr("Quit application")
        }
    }

    QVnc {
        id: vnc
        host: "vm.ik.bme.hu"
        port: 10495
        width: 1024
        height: 768

        MouseArea {
            anchors.fill: parent
            cursorShape: Qt.BlankCursor
            hoverEnabled: true
            acceptedButtons: Qt.LeftButton | Qt.MiddleButton | Qt.RightButton
            onPositionChanged: vnc.setMouse(mouse.x,
                                            mouse.y,
                                            mouse.buttons & Qt.LeftButton,
                                            mouse.buttons & Qt.MiddleButton,
                                            mouse.buttons & Qt.RightButton)
            onPressed: vnc.setMouse(mouse.x,
                                            mouse.y,
                                            mouse.buttons & Qt.LeftButton,
                                            mouse.buttons & Qt.MiddleButton,
                                            mouse.buttons & Qt.RightButton)
            onReleased: vnc.setMouse(mouse.x,
                                            mouse.y,
                                            mouse.buttons & Qt.LeftButton,
                                            mouse.buttons & Qt.MiddleButton,
                                            mouse.buttons & Qt.RightButton)
        }
    }
}
